Subject: [PATCH v5] ARM: smp: Only expose /sys/.../cpuX/online if hotpluggable

From: [email-masked] (Stephen Boyd)
Date: Fri, 17 Jul 2015 14:21:05 -0700

On 06/10/2015 04:11 PM, Stephen Boyd wrote:
> On 06/10/2015 03:57 PM, Russell King - ARM Linux wrote:
>> diff --git a/arch/arm/mach-shmobile/common.h b/arch/arm/mach-shmobile/common.h
>> index 476092b86c6e..f2c4bf437ea7 100644
>> --- a/arch/arm/mach-shmobile/common.h
>> +++ b/arch/arm/mach-shmobile/common.h
>> @@ -13,7 +13,8 @@ extern void shmobile_smp_boot(void);
>>   extern void shmobile_smp_sleep(void);
>>   extern void shmobile_smp_hook(unsigned int cpu, unsigned long fn,
>>   			      unsigned long arg);
>> -extern int shmobile_smp_cpu_disable(unsigned int cpu);
>> +extern bool shmobile_smp_cpu_can_disable(unsigned int cpu);
>> +extern void shmobile_invalidate_start(void);
>>
>> which your original patch did not include.  The tree I'm applying to
>> (-rc1) contains:
>>
>> extern int shmobile_smp_cpu_disable(unsigned int cpu);
>> extern void shmobile_invalidate_start(void);
>>
>> there.  Hence git quite rightfully declines to apply the patch.
>>
> Thanks. Fixed.
>

Sorry I just noticed that you applied 8392/1 instead of 8392/2 from the 
patch tracker. So shmobile_invalidate_start() came back.

I thought it would automatically supersede the previous patch but it 
looks like it just sticks around? I've never had to replace a patch 
before so I'll keep this in mind next time.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project